hooks:
  afterOneFileWrite:
    - prettier --write
config:
  strict: true
  maybeValue: T | null
  declarationKind: interface
  avoidOptionals: true
  preResolveTypes: true
  namingConvention:
    enumValues: keep
  scalars:
    DateTime: string
    Date: string
    Decimal: number
    UUID: string
    ID: string
    JSON: Record<string, string>
    Upload: File
    SafeInt: number
overwrite: true
schema: ../../backend/server/src/schema.gql
documents: ./src/**/*.gql
generates:
  ./src/schema.ts:
    plugins:
      - typescript
      - typescript-operations
      - add:
          content: '/* eslint-disable */'
      - ./export-gql-plugin.cjs:
          output: ./src/graphql/index.ts
